from agent.cdss.capbility import CDSSCapability
from agent.cdss.models.schemas import CDSSInput, CDSSOutput, CDSSInt, CDSSText

capability = CDSSCapability()

record = CDSSInput(
    pat_age=CDSSInt(type="month", value=24),
    pat_sex=CDSSText(type="sex", value="男"),
    #chief_complaint=["腹痛", "发热", "腹泻"],
    #chief_complaint=["呕血", "黑便", "头晕", "心悸"],
    #chief_complaint=["流鼻涕"],

    department=CDSSText(type='department',value="急诊医学科")
    )

if __name__ == "__main__":
    output = capability.process(input=record)
    #output = capability.process(input=record)
    print(output.departments.value)
    for item in output.diagnosis.value:
        print(f"DIAG {item}  {output.diagnosis.value[item]} ")
    for item in output.diagnosis2.value:
        print(f"count DIAG {item}  {output.diagnosis2.value[item]} ")
    # for item in output.checks.value:
    #     print(f"CHECK {item}  {output.checks.value[item]} ")
    # for item in output.drugs.value:
    #     print(f"DRUG {item}  {output.drugs.value[item]} ")